%define hal_version 0.5.8.1

%define _requires_exceptions pkgconfig\(.*\)

Summary: Mount replacement which uses HAL to do the mounting 
Name: gnome-mount
Version: 0.6
Release: %mkrel 3
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.freedesktop.org
Source: http://people.freedesktop.org/~david/dist/%{name}-%{version}.tar.bz2
# (fc) 0.5-2mdv add flush option for vfat
Patch3: gnome-mount-flush.patch
# (fc) 0.5-4mdv disable debug output in nautilus extension
Patch4: gnome-mount-0.5-disabledebug.patch
# (fc) 0.6-3mdv allow to unmount device with no media detected (Mdv bug #30157)
Patch5: gnome-mount-0.6-unmount_nomedia.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: hal >= %hal_version
BuildRequires: hal-devel >= %hal_version
BuildRequires: libnotify-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: nautilus-devel
BuildRequires: perl-XML-Parser
BuildRequires: libsm-devel

%description
A replacement for the mount, umount and eject commands that
uses HAL to do all the heavy lifting.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch3 -p1 -b .flush
%patch4 -p1 -b .disabledebug
%patch5 -p1 -b .unmount_nomedia

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%find_lang %name

rm -rf $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-1.0/*.{la,a}
cd %buildroot%_mandir/man1/
ln -s gnome-mount.1 gnome-umount.1
ln -s gnome-mount.1 gnome-eject.1

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas gnome-mount
%post
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}

%files -f %name.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog README
%config(noreplace) %{_sysconfdir}/gconf/schemas/gnome-mount.schemas
%{_bindir}/gnome-eject
%{_bindir}/gnome-mount
%{_bindir}/gnome-umount
%{_datadir}/gnome-mount/gnome-mount-properties.glade
%_libdir/pkgconfig/%name.pc
%{_libdir}/nautilus/extensions-1.0/*.so
%{_mandir}/man1/*




%changelog
* Tue Sep 11 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-3mdv2008.0
+ Revision: 84368
- Remove patch2, no longer needed
- Patch5: allow to unmount device with no media detected (Mdv bug #30157)

* Tue May 29 2007 Götz Waschk <waschk@mandriva.org> 0.6-2mdv2008.0
+ Revision: 32498
- rebuild

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.1
+ Revision: 13647
- new version
- drop merged patches 5,6
- add man page symlinks for gnome-umount and gnome-eject


* Mon Mar 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-6mdv2007.1
+ Revision: 146720
- Patch6 (SVN): allow usage of ntfs-3g instead of ntfs, disabled by default in gconf

* Sun Mar 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-5mdv2007.1
+ Revision: 146037
- Patch5 (SVN): use lowercase filename by default for vfat

* Fri Mar 16 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-4mdv2007.1
+ Revision: 145239
- Fix buildrequires
- Patch4: disable nautilus extension debugging, was filling xsession-errors

* Thu Jan 18 2007 Götz Waschk <waschk@mandriva.org> 0.5-3mdv2007.1
+ Revision: 110068
- rebuild, trying to fix bug #28274

* Tue Jan 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.5-2mdv2007.1
+ Revision: 103349
- Patch3: add "flush" option for vfat volume

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.1
+ Revision: 100347
- fix buildrequires
- Import gnome-mount

* Thu Oct 19 2006 Götz Waschk <waschk@mandriva.org> 0.5-1mdv2007.1
- update deps
- fix URL
- new version

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 0.4-5.20060724.2mdv2007.0
- fix buildrequires

* Fri Aug 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-5.20060724.1mdv2007.0
- Update to CVS snapshot (add nautilus property page)
- rebuild with latest dbus
- remove patches 0, 1, 3 (merged upstream)

* Wed Jul 05 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-5mdv2007.0
- Fix typo in preun (Mdv bug #23504)

* Thu Jun 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-4mdv2007.0
- Patch3: add support for default policy

* Sun Jun 18 2006 Götz Waschk <waschk@mandriva.org> 0.4-3mdv2007.0
- update patch 2

* Sat Jun 17 2006 Götz Waschk <waschk@mandriva.org> 0.4-2mdv2007.0
- use mount for devices in fstab

* Mon May 22 2006 Götz Waschk <waschk@mandriva.org> 0.4-1mdk
- sync with 0.4-6 from fedora
- new version

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4-0.20060117.2mdk
- Rebuild with dbus 0.60

* Fri Jan 20 2006 Götz Waschk <waschk@mandriva.org> 0.4-0.20060117.1mdk
- update file list
- new version from fedora

* Sun Jan 15 2006 Götz Waschk <waschk@mandriva.org> 0.3-1mdk
- drop patch
- New release 0.3

* Sat Jan 14 2006 Götz Waschk <waschk@mandriva.org> 0.2-3mdk
- more buildrequires

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-2mdk
- fix buildrequires

* Fri Jan 13 2006 Götz Waschk <waschk@mandriva.org> 0.2-1mdk
- initial package

* Mon Jan 09 2006 John (J5) Palmieri <johnp@redhat.com> - 0.2-1
- initial import

